/* GlobalSearchDialog.c generated by valac 0.53.1, the Vala compiler
 * generated from GlobalSearchDialog.vala, do not modify */

/*
* Copyright 2021 elementary, Inc. (https://elementary.io)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA.
*
* Authored by: Jeremy Wootten <jeremy@elementaryos.org>
*/

#include "codecore.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <granite.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <glib-object.h>
#include <glib/gi18n-lib.h>

enum  {
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_0_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_SEARCH_TERM_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY,
	SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_NUM_PROPERTIES
};
static GParamSpec* scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _ScratchDialogsGlobalSearchDialogPrivate {
	gchar* _folder_name;
	gboolean _is_repo;
	GraniteValidatedEntry* search_term_entry;
	GtkSwitch* case_switch;
	GtkSwitch* regex_switch;
};

static gint ScratchDialogsGlobalSearchDialog_private_offset;
static gpointer scratch_dialogs_global_search_dialog_parent_class = NULL;

static GObject * scratch_dialogs_global_search_dialog_constructor (GType type,
                                                            guint n_construct_properties,
                                                            GObjectConstructParam * construct_properties);
static void _scratch_dialogs_global_search_dialog___lambda35_ (ScratchDialogsGlobalSearchDialog* self);
static void __scratch_dialogs_global_search_dialog___lambda35__gtk_editable_changed (GtkEditable* _sender,
                                                                              gpointer self);
static void scratch_dialogs_global_search_dialog_finalize (GObject * obj);
static GType scratch_dialogs_global_search_dialog_get_type_once (void);
static void _vala_scratch_dialogs_global_search_dialog_get_property (GObject * object,
                                                              guint property_id,
                                                              GValue * value,
                                                              GParamSpec * pspec);
static void _vala_scratch_dialogs_global_search_dialog_set_property (GObject * object,
                                                              guint property_id,
                                                              const GValue * value,
                                                              GParamSpec * pspec);

static inline gpointer
scratch_dialogs_global_search_dialog_get_instance_private (ScratchDialogsGlobalSearchDialog* self)
{
	return G_STRUCT_MEMBER_P (self, ScratchDialogsGlobalSearchDialog_private_offset);
}

ScratchDialogsGlobalSearchDialog*
scratch_dialogs_global_search_dialog_construct (GType object_type,
                                                GtkWindow* parent,
                                                const gchar* folder_name,
                                                gboolean is_repo)
{
	ScratchDialogsGlobalSearchDialog * self = NULL;
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
	g_return_val_if_fail (folder_name != NULL, NULL);
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("edit-find");
	_tmp1_ = _tmp0_;
	self = (ScratchDialogsGlobalSearchDialog*) g_object_new (object_type, "transient-for", parent, "folder-name", folder_name, "is-repo", is_repo, "image-icon", _tmp1_, NULL);
	_g_object_unref0 (_tmp1_);
	return self;
}

ScratchDialogsGlobalSearchDialog*
scratch_dialogs_global_search_dialog_new (GtkWindow* parent,
                                          const gchar* folder_name,
                                          gboolean is_repo)
{
	return scratch_dialogs_global_search_dialog_construct (SCRATCH_DIALOGS_TYPE_GLOBAL_SEARCH_DIALOG, parent, folder_name, is_repo);
}

const gchar*
scratch_dialogs_global_search_dialog_get_folder_name (ScratchDialogsGlobalSearchDialog* self)
{
	const gchar* result;
	const gchar* _tmp0_;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->_folder_name;
	result = _tmp0_;
	return result;
}

static void
scratch_dialogs_global_search_dialog_set_folder_name (ScratchDialogsGlobalSearchDialog* self,
                                                      const gchar* value)
{
	gchar* old_value;
	g_return_if_fail (self != NULL);
	old_value = scratch_dialogs_global_search_dialog_get_folder_name (self);
	if (g_strcmp0 (value, old_value) != 0) {
		gchar* _tmp0_;
		_tmp0_ = g_strdup (value);
		_g_free0 (self->priv->_folder_name);
		self->priv->_folder_name = _tmp0_;
		g_object_notify_by_pspec ((GObject *) self, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY]);
	}
}

gboolean
scratch_dialogs_global_search_dialog_get_is_repo (ScratchDialogsGlobalSearchDialog* self)
{
	gboolean result;
	g_return_val_if_fail (self != NULL, FALSE);
	result = self->priv->_is_repo;
	return result;
}

static void
scratch_dialogs_global_search_dialog_set_is_repo (ScratchDialogsGlobalSearchDialog* self,
                                                  gboolean value)
{
	gboolean old_value;
	g_return_if_fail (self != NULL);
	old_value = scratch_dialogs_global_search_dialog_get_is_repo (self);
	if (old_value != value) {
		self->priv->_is_repo = value;
		g_object_notify_by_pspec ((GObject *) self, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY]);
	}
}

const gchar*
scratch_dialogs_global_search_dialog_get_search_term (ScratchDialogsGlobalSearchDialog* self)
{
	const gchar* result;
	GraniteValidatedEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	g_return_val_if_fail (self != NULL, NULL);
	_tmp0_ = self->priv->search_term_entry;
	_tmp1_ = gtk_entry_get_text ((GtkEntry*) _tmp0_);
	_tmp2_ = _tmp1_;
	result = _tmp2_;
	return result;
}

gboolean
scratch_dialogs_global_search_dialog_get_use_regex (ScratchDialogsGlobalSearchDialog* self)
{
	gboolean result;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->regex_switch;
	_tmp1_ = gtk_switch_get_active (_tmp0_);
	_tmp2_ = _tmp1_;
	result = _tmp2_;
	return result;
}

void
scratch_dialogs_global_search_dialog_set_use_regex (ScratchDialogsGlobalSearchDialog* self,
                                                    gboolean value)
{
	GtkSwitch* _tmp0_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->regex_switch;
	gtk_switch_set_active (_tmp0_, value);
	g_object_notify_by_pspec ((GObject *) self, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY]);
}

gboolean
scratch_dialogs_global_search_dialog_get_case_sensitive (ScratchDialogsGlobalSearchDialog* self)
{
	gboolean result;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	g_return_val_if_fail (self != NULL, FALSE);
	_tmp0_ = self->priv->case_switch;
	_tmp1_ = gtk_switch_get_active (_tmp0_);
	_tmp2_ = _tmp1_;
	result = _tmp2_;
	return result;
}

void
scratch_dialogs_global_search_dialog_set_case_sensitive (ScratchDialogsGlobalSearchDialog* self,
                                                         gboolean value)
{
	GtkSwitch* _tmp0_;
	g_return_if_fail (self != NULL);
	_tmp0_ = self->priv->case_switch;
	gtk_switch_set_active (_tmp0_, value);
	g_object_notify_by_pspec ((GObject *) self, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY]);
}

static gpointer
_g_object_ref0 (gpointer self)
{
	return self ? g_object_ref (self) : NULL;
}

static void
_scratch_dialogs_global_search_dialog___lambda35_ (ScratchDialogsGlobalSearchDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	_tmp0_ = self->priv->search_term_entry;
	_tmp1_ = self->priv->search_term_entry;
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
	_tmp3_ = _tmp2_;
	_tmp4_ = strlen (_tmp3_);
	_tmp5_ = _tmp4_;
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ >= 3);
}

static void
__scratch_dialogs_global_search_dialog___lambda35__gtk_editable_changed (GtkEditable* _sender,
                                                                         gpointer self)
{
	_scratch_dialogs_global_search_dialog___lambda35_ ((ScratchDialogsGlobalSearchDialog*) self);
}

static GObject *
scratch_dialogs_global_search_dialog_constructor (GType type,
                                                  guint n_construct_properties,
                                                  GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	ScratchDialogsGlobalSearchDialog * self;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GraniteValidatedEntry* _tmp3_ = NULL;
	GtkSwitch* _tmp4_ = NULL;
	GtkLabel* case_label = NULL;
	GtkLabel* _tmp5_ = NULL;
	GtkSwitch* _tmp6_ = NULL;
	GtkLabel* regex_label = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkGrid* layout = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_;
	GraniteValidatedEntry* _tmp10_;
	GtkGrid* _tmp11_;
	GtkLabel* _tmp12_;
	GtkGrid* _tmp13_;
	GtkSwitch* _tmp14_;
	GtkGrid* _tmp15_;
	GtkLabel* _tmp16_;
	GtkGrid* _tmp17_;
	GtkSwitch* _tmp18_;
	GtkGrid* _tmp19_;
	GtkBin* _tmp20_;
	GtkBin* _tmp21_;
	GtkGrid* _tmp22_;
	GtkButton* search_button = NULL;
	GtkWidget* _tmp23_;
	GtkButton* _tmp24_;
	GtkButton* _tmp25_;
	GtkButton* _tmp26_;
	GtkButton* _tmp27_;
	GtkStyleContext* _tmp28_;
	GraniteValidatedEntry* _tmp29_;
	GtkButton* _tmp30_;
	GraniteValidatedEntry* _tmp31_;
	parent_class = G_OBJECT_CLASS (scratch_dialogs_global_search_dialog_parent_class);
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SCRATCH_DIALOGS_TYPE_GLOBAL_SEARCH_DIALOG, ScratchDialogsGlobalSearchDialog);
	_tmp0_ = self->priv->_folder_name;
	_tmp1_ = g_strdup_printf (_ ("Search for text in “%s”"), _tmp0_);
	_tmp2_ = _tmp1_;
	granite_message_dialog_set_primary_text ((GraniteMessageDialog*) self, _tmp2_);
	_g_free0 (_tmp2_);
	granite_message_dialog_set_secondary_text ((GraniteMessageDialog*) self, _ ("The search term must be at least 3 characters long."));
	_tmp3_ = granite_validated_entry_new ();
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp3_, 12);
	gtk_entry_set_width_chars ((GtkEntry*) _tmp3_, 30);
	g_object_ref_sink (_tmp3_);
	_g_object_unref0 (self->priv->search_term_entry);
	self->priv->search_term_entry = _tmp3_;
	_tmp4_ = (GtkSwitch*) gtk_switch_new ();
	gtk_switch_set_active (_tmp4_, FALSE);
	gtk_widget_set_halign ((GtkWidget*) _tmp4_, GTK_ALIGN_START);
	gtk_widget_set_hexpand ((GtkWidget*) _tmp4_, TRUE);
	g_object_ref_sink (_tmp4_);
	_g_object_unref0 (self->priv->case_switch);
	self->priv->case_switch = _tmp4_;
	_tmp5_ = (GtkLabel*) gtk_label_new (_ ("Case sensitive:"));
	gtk_widget_set_halign ((GtkWidget*) _tmp5_, GTK_ALIGN_END);
	g_object_ref_sink (_tmp5_);
	case_label = _tmp5_;
	_tmp6_ = (GtkSwitch*) gtk_switch_new ();
	gtk_switch_set_active (_tmp6_, FALSE);
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_START);
	g_object_ref_sink (_tmp6_);
	_g_object_unref0 (self->priv->regex_switch);
	self->priv->regex_switch = _tmp6_;
	_tmp7_ = (GtkLabel*) gtk_label_new (_ ("Use regular expressions:"));
	gtk_widget_set_halign ((GtkWidget*) _tmp7_, GTK_ALIGN_END);
	g_object_ref_sink (_tmp7_);
	regex_label = _tmp7_;
	_tmp8_ = (GtkGrid*) gtk_grid_new ();
	gtk_grid_set_column_spacing (_tmp8_, 12);
	gtk_grid_set_row_spacing (_tmp8_, 6);
	g_object_ref_sink (_tmp8_);
	layout = _tmp8_;
	_tmp9_ = layout;
	_tmp10_ = self->priv->search_term_entry;
	gtk_grid_attach (_tmp9_, (GtkWidget*) _tmp10_, 0, 0, 2, 1);
	_tmp11_ = layout;
	_tmp12_ = case_label;
	gtk_grid_attach (_tmp11_, (GtkWidget*) _tmp12_, 0, 1, 1, 1);
	_tmp13_ = layout;
	_tmp14_ = self->priv->case_switch;
	gtk_grid_attach (_tmp13_, (GtkWidget*) _tmp14_, 1, 1, 1, 1);
	_tmp15_ = layout;
	_tmp16_ = regex_label;
	gtk_grid_attach (_tmp15_, (GtkWidget*) _tmp16_, 0, 2, 1, 1);
	_tmp17_ = layout;
	_tmp18_ = self->priv->regex_switch;
	gtk_grid_attach (_tmp17_, (GtkWidget*) _tmp18_, 1, 2, 1, 1);
	_tmp19_ = layout;
	gtk_widget_show_all ((GtkWidget*) _tmp19_);
	_tmp20_ = granite_message_dialog_get_custom_bin ((GraniteMessageDialog*) self);
	_tmp21_ = _tmp20_;
	_tmp22_ = layout;
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
	gtk_dialog_add_button ((GtkDialog*) self, _ ("Cancel"), (gint) GTK_RESPONSE_CANCEL);
	_tmp23_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Search"), (gint) GTK_RESPONSE_ACCEPT);
	_tmp24_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp23_, gtk_button_get_type (), GtkButton));
	search_button = _tmp24_;
	_tmp25_ = search_button;
	gtk_widget_set_can_default ((GtkWidget*) _tmp25_, TRUE);
	_tmp26_ = search_button;
	g_object_set ((GtkWidget*) _tmp26_, "has-default", TRUE, NULL);
	_tmp27_ = search_button;
	_tmp28_ = gtk_widget_get_style_context ((GtkWidget*) _tmp27_);
	gtk_style_context_add_class (_tmp28_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
	_tmp29_ = self->priv->search_term_entry;
	_tmp30_ = search_button;
	g_object_bind_property_with_closures ((GObject*) _tmp29_, "is-valid", (GObject*) _tmp30_, "sensitive", G_BINDING_DEFAULT | G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
	_tmp31_ = self->priv->search_term_entry;
	g_signal_connect_object ((GtkEditable*) _tmp31_, "changed", (GCallback) __scratch_dialogs_global_search_dialog___lambda35__gtk_editable_changed, self, 0);
	_g_object_unref0 (search_button);
	_g_object_unref0 (layout);
	_g_object_unref0 (regex_label);
	_g_object_unref0 (case_label);
	return obj;
}

static void
scratch_dialogs_global_search_dialog_class_init (ScratchDialogsGlobalSearchDialogClass * klass,
                                                 gpointer klass_data)
{
	scratch_dialogs_global_search_dialog_parent_class = g_type_class_peek_parent (klass);
	g_type_class_adjust_private_offset (klass, &ScratchDialogsGlobalSearchDialog_private_offset);
	G_OBJECT_CLASS (klass)->get_property = _vala_scratch_dialogs_global_search_dialog_get_property;
	G_OBJECT_CLASS (klass)->set_property = _vala_scratch_dialogs_global_search_dialog_set_property;
	G_OBJECT_CLASS (klass)->constructor = scratch_dialogs_global_search_dialog_constructor;
	G_OBJECT_CLASS (klass)->finalize = scratch_dialogs_global_search_dialog_finalize;
	g_object_class_install_property (G_OBJECT_CLASS (klass), SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY] = g_param_spec_string ("folder-name", "folder-name", "folder-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
	g_object_class_install_property (G_OBJECT_CLASS (klass), SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY] = g_param_spec_boolean ("is-repo", "is-repo", "is-repo", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
	g_object_class_install_property (G_OBJECT_CLASS (klass), SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_SEARCH_TERM_PROPERTY, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_SEARCH_TERM_PROPERTY] = g_param_spec_string ("search-term", "search-term", "search-term", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY] = g_param_spec_boolean ("use-regex", "use-regex", "use-regex", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
	g_object_class_install_property (G_OBJECT_CLASS (klass), SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY, scratch_dialogs_global_search_dialog_properties[SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY] = g_param_spec_boolean ("case-sensitive", "case-sensitive", "case-sensitive", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
}

static void
scratch_dialogs_global_search_dialog_instance_init (ScratchDialogsGlobalSearchDialog * self,
                                                    gpointer klass)
{
	self->priv = scratch_dialogs_global_search_dialog_get_instance_private (self);
}

static void
scratch_dialogs_global_search_dialog_finalize (GObject * obj)
{
	ScratchDialogsGlobalSearchDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SCRATCH_DIALOGS_TYPE_GLOBAL_SEARCH_DIALOG, ScratchDialogsGlobalSearchDialog);
	_g_free0 (self->priv->_folder_name);
	_g_object_unref0 (self->priv->search_term_entry);
	_g_object_unref0 (self->priv->case_switch);
	_g_object_unref0 (self->priv->regex_switch);
	G_OBJECT_CLASS (scratch_dialogs_global_search_dialog_parent_class)->finalize (obj);
}

static GType
scratch_dialogs_global_search_dialog_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (ScratchDialogsGlobalSearchDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) scratch_dialogs_global_search_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (ScratchDialogsGlobalSearchDialog), 0, (GInstanceInitFunc) scratch_dialogs_global_search_dialog_instance_init, NULL };
	GType scratch_dialogs_global_search_dialog_type_id;
	scratch_dialogs_global_search_dialog_type_id = g_type_register_static (GRANITE_TYPE_MESSAGE_DIALOG, "ScratchDialogsGlobalSearchDialog", &g_define_type_info, 0);
	ScratchDialogsGlobalSearchDialog_private_offset = g_type_add_instance_private (scratch_dialogs_global_search_dialog_type_id, sizeof (ScratchDialogsGlobalSearchDialogPrivate));
	return scratch_dialogs_global_search_dialog_type_id;
}

GType
scratch_dialogs_global_search_dialog_get_type (void)
{
	static volatile gsize scratch_dialogs_global_search_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&scratch_dialogs_global_search_dialog_type_id__volatile)) {
		GType scratch_dialogs_global_search_dialog_type_id;
		scratch_dialogs_global_search_dialog_type_id = scratch_dialogs_global_search_dialog_get_type_once ();
		g_once_init_leave (&scratch_dialogs_global_search_dialog_type_id__volatile, scratch_dialogs_global_search_dialog_type_id);
	}
	return scratch_dialogs_global_search_dialog_type_id__volatile;
}

static void
_vala_scratch_dialogs_global_search_dialog_get_property (GObject * object,
                                                         guint property_id,
                                                         GValue * value,
                                                         GParamSpec * pspec)
{
	ScratchDialogsGlobalSearchDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SCRATCH_DIALOGS_TYPE_GLOBAL_SEARCH_DIALOG, ScratchDialogsGlobalSearchDialog);
	switch (property_id) {
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY:
		g_value_set_string (value, scratch_dialogs_global_search_dialog_get_folder_name (self));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY:
		g_value_set_boolean (value, scratch_dialogs_global_search_dialog_get_is_repo (self));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_SEARCH_TERM_PROPERTY:
		g_value_set_string (value, scratch_dialogs_global_search_dialog_get_search_term (self));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY:
		g_value_set_boolean (value, scratch_dialogs_global_search_dialog_get_use_regex (self));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY:
		g_value_set_boolean (value, scratch_dialogs_global_search_dialog_get_case_sensitive (self));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}

static void
_vala_scratch_dialogs_global_search_dialog_set_property (GObject * object,
                                                         guint property_id,
                                                         const GValue * value,
                                                         GParamSpec * pspec)
{
	ScratchDialogsGlobalSearchDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SCRATCH_DIALOGS_TYPE_GLOBAL_SEARCH_DIALOG, ScratchDialogsGlobalSearchDialog);
	switch (property_id) {
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_FOLDER_NAME_PROPERTY:
		scratch_dialogs_global_search_dialog_set_folder_name (self, g_value_get_string (value));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_IS_REPO_PROPERTY:
		scratch_dialogs_global_search_dialog_set_is_repo (self, g_value_get_boolean (value));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_USE_REGEX_PROPERTY:
		scratch_dialogs_global_search_dialog_set_use_regex (self, g_value_get_boolean (value));
		break;
		case SCRATCH_DIALOGS_GLOBAL_SEARCH_DIALOG_CASE_SENSITIVE_PROPERTY:
		scratch_dialogs_global_search_dialog_set_case_sensitive (self, g_value_get_boolean (value));
		break;
		default:
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
		break;
	}
}

